coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: cp/link-heap: avoid new failure on rawhide


From: Jim Meyering
Subject: [PATCH] tests: cp/link-heap: avoid new failure on rawhide
Date: Tue, 18 Sep 2012 23:09:10 +0200

Something on rawhide changed to make this test consume more virtual memory.
A month or two ago, it would pass, but now, even with 21,000 KiB of VM,
it would fail.  So I've increased the limit to 22,000 KiB.

>From 87af2e09225c9cf4a639736f0d82f16be6ec6707 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Tue, 18 Sep 2012 23:05:42 +0200
Subject: [PATCH] tests: cp/link-heap: avoid new failure on rawhide

* tests/cp/link-heap.sh: Increase virtual memory limit by 2000KiB --
from 20,000 to 22,000 KiB -- to avoid a new failure on rawhide.
---
 tests/cp/link-heap.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/tests/cp/link-heap.sh b/tests/cp/link-heap.sh
index d243c81..a6c4eee 100755
--- a/tests/cp/link-heap.sh
+++ b/tests/cp/link-heap.sh
@@ -31,6 +31,7 @@ cp -al $a $b || framework_failure_
 mkdir e || framework_failure_
 mv $a $b e || framework_failure_

-(ulimit -v 20000; cp -al e f) || fail=1
+# Increased from 20000 to 22000 in 2012, for pre-F18 rawhide.
+(ulimit -v 22000; cp -al e f) || fail=1

 Exit $fail
--
1.7.12.503.g5976753



reply via email to

[Prev in Thread] Current Thread [Next in Thread]